OPTIONS COMMON TO NDB CLUSTER PROGRAMS(1)

NAME
ndb-common-options - NDB Cluster Common Program Options

DESCRIPTION

All NDB Cluster programs accept the options described in this section, with the following exceptions:

    • mysqld

    • ndb_print_backup_file

    • ndb_print_schema_file

    • ndb_print_sys_file

    Note

    Users of earlier NDB Cluster versions should note that some of these options have been changed to make them consistent with one another, and also with mysqld. You can use the --help option with any NDB Cluster program—with the exception of ndb_print_backup_file, ndb_print_schema_file, and ndb_print_sys_file—to view a list of the options which the program supports.

The options in the following table are common to all NDB Cluster executables (except those noted previously in this section).

Table 21.48. Command-line options common to all MySQL NDB Cluster programs
Format | Description | Added, Deprecated, or Removed
--character-sets-dir=dir_name | Directory where character sets are installed | (Supported in all NDB releases based on MySQL 5.7)
--connect-retries=# | Set the number of times to retry a connection before giving up | (Supported in all NDB releases based on MySQL 5.7)
--connect-retry-delay=# | Time to wait between attempts to contact a management server, in seconds | (Supported in all NDB releases based on MySQL 5.7)
--core-file | Write core on errors (defaults to TRUE in debug builds) | (Supported in all NDB releases based on MySQL 5.7)
--debug=options | Enable output from debug calls. Can be used only for versions compiled with debugging enabled | (Supported in all NDB releases based on MySQL 5.7)
--defaults-extra-file=filename | Read this file after global option files are read | (Supported in all NDB releases based on MySQL 5.7)
--defaults-file=filename | Read default options from this file | (Supported in all NDB releases based on MySQL 5.7)
--defaults-group-suffix | Also read groups with names ending in this suffix | (Supported in all NDB releases based on MySQL 5.7)
--help, --usage, -? | Display help message and exit | (Supported in all NDB releases based on MySQL 5.7)
--login-path=path | Read this path from the login file | (Supported in all NDB releases based on MySQL 5.7)
--ndb-connectstring=connectstring, --connect-string=connectstring, -c | Set connection string for connecting to ndb_mgmd. Syntax: [nodeid=<id>;][host=]<hostname>[:<port>]. Overrides entries specified in NDB_CONNECTSTRING or my.cnf | (Supported in all NDB releases based on MySQL 5.7)
--ndb-mgmd-host=host[:port] | Set the host (and port, if desired) for connecting to management server | (Supported in all NDB releases based on MySQL 5.7)
--ndb-nodeid=# | Set node id for this node | (Supported in all NDB releases based on MySQL 5.7)
--ndb-optimized-node-selection | Select nodes for transactions in a more optimal way | (Supported in all NDB releases based on MySQL 5.7)
--no-defaults | Do not read default options from any option file other than login file | (Supported in all NDB releases based on MySQL 5.7)
--print-defaults | Print the program argument list and exit | (Supported in all NDB releases based on MySQL 5.7)
--version, -V | Output version information and exit | (Supported in all NDB releases based on MySQL 5.7)

For options specific to individual NDB Cluster programs, see Section 21.4, “NDB Cluster Programs”.

See Section 21.3.3.9.1, “MySQL Server Options for NDB Cluster”, for mysqld options relating to NDB Cluster.

    • --character-sets-dir=name
    Command-Line Format | --character-sets-dir=dir_name
    Type | Directory name
    Default Value |

    Tells the program where to find character set information.

    This option is supported by ndb_import in NDB 7.6.7 and later.

    • --connect-retries=#
    Command-Line Format | --connect-retries=#
    Type | Numeric
    Default Value | 12
    Minimum Value | 0
    Maximum Value | 4294967295

    This option specifies the number of times following the first attempt to retry a connection before giving up (the client always tries the connection at least once). The length of time to wait per attempt is set using --connect-retry-delay.

        Note
        When used with ndb_mgm, this option has 3 as its default. See ndb_mgm(1), for more information.

    • --connect-retry-delay=#
    Command-Line Format | --connect-retry-delay=#
    Type | Numeric
    Default Value | 5
    Minimum Value (≥ 5.7.10-ndb-7.5.0) | 1
    Minimum Value | 0
    Maximum Value | 4294967295

    This option specifies the length of time to wait per attempt a connection before giving up. The number of times to try connecting is set by --connect-retries.

    • --core-file
    Command-Line Format | --core-file
    Type | Boolean
    Default Value | FALSE

    Write a core file if the program dies. The name and location of the core file are system-dependent. (For NDB Cluster programs nodes running on Linux, the default location is the program's working directory—for a data node, this is the node's DataDir.) For some systems, there may be restrictions or limitations. For example, it might be necessary to execute ulimit -c unlimited before starting the server. Consult your system documentation for detailed information.

    If NDB Cluster was built using the --debug option for configure, then --core-file is enabled by default. For regular builds, --core-file is disabled by default.

    • --debug[=options]
    Command-Line Format | --debug=options
    Type | String
    Default Value | d:t:O,/tmp/ndb_restore.trace

    This option can be used only for versions compiled with debugging enabled. It is used to enable output from debug calls in the same manner as for the mysqld process.

    • --defaults-extra-file=filename
    Command-Line Format | --defaults-extra-file=filename
    Type | String
    Default Value | [none]

    Read this file after global option files are read.

    For additional information about this and other option-file options, see Section 4.2.2.3, “Command-Line Options that Affect Option-File Handling”.

    • --defaults-file=filename
    Command-Line Format | --defaults-file=filename
    Type | String
    Default Value | [none]

    Read default options from this file.

    For additional information about this and other option-file options, see Section 4.2.2.3, “Command-Line Options that Affect Option-File Handling”.

    • --defaults-group-suffix
    Command-Line Format | --defaults-group-suffix
    Type | String
    Default Value | [none]

    Also read groups with names ending in this suffix.

    For additional information about this and other option-file options, see Section 4.2.2.3, “Command-Line Options that Affect Option-File Handling”.

    • --help, --usage, -?
    Command-Line Format | --help --usage

    Prints a short list with descriptions of the available command options.

    • --login-path=path
    Command-Line Format | --login-path=path
    Type | String
    Default Value | [none]

    Read this path from the login file.

    For additional information about this and other option-file options, see Section 4.2.2.3, “Command-Line Options that Affect Option-File Handling”.

    • --ndb-connectstring=connection_string, --connect-string=connection_string, -c connection_string
    Command-Line Format | --ndb-connectstring=connectstring --connect-string=connectstring
    Type | String
    Default Value | localhost:1186

    This option takes an NDB Cluster connection string that specifies the management server for the application to connect to, as shown here:

        shell> ndbd --ndb-connectstring="nodeid=2;host=ndb_mgmd.mysql.com:1186"

    For more information, see Section 21.3.3.3, “NDB Cluster Connection Strings”.

    • --ndb-mgmd-host=host[:port]
    Command-Line Format | --ndb-mgmd-host=host[:port]
    Type | String
    Default Value | localhost:1186

    Can be used to set the host and port number of a single management server for the program to connect to. If the program requires node IDs or references to multiple management servers (or both) in its connection information, use the --ndb-connectstring option instead.

    • --ndb-nodeid=#
    Command-Line Format | --ndb-nodeid=#
    Type | Numeric
    Default Value | 0

    Sets this node's NDB Cluster node ID. The range of permitted values depends on the node's type (data, management, or API) and the NDB Cluster software version. See Section 21.1.7.2, “Limits and Differences of NDB Cluster from Standard MySQL Limits”, for more information.

    • --no-defaults
    Command-Line Format | --no-defaults
    Type | Boolean
    Default Value | TRUE

    Do not read default options from any option file other than login file.

    For additional information about this and other option-file options, see Section 4.2.2.3, “Command-Line Options that Affect Option-File Handling”.

    • --ndb-optimized-node-selection
    Command-Line Format | --ndb-optimized-node-selection
    Type | Boolean
    Default Value | TRUE

    Optimize selection of nodes for transactions. Enabled by default.

    • --print-defaults
    Command-Line Format | --print-defaults
    Type | Boolean
    Default Value | TRUE

    Print the program argument list and exit.

    For additional information about this and other option-file options, see Section 4.2.2.3, “Command-Line Options that Affect Option-File Handling”.

    • --version, -V
    Command-Line Format | --version

    Prints the NDB Cluster version number of the executable. The version number is relevant because not all versions can be used together, and the NDB Cluster startup process verifies that the versions of the binaries being used can co-exist in the same cluster. This is also important when performing an online (rolling) software upgrade or downgrade of NDB Cluster.

    See Section 21.5.5, “Performing a Rolling Restart of an NDB Cluster”), for more information.

COPYRIGHT

Copyright © 1997, 2021, Oracle and/or its affiliates.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

SEE ALSO
For more information, please refer to the MySQL Reference Manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).